#!/usr/bin/python
"""Eep RDF API: Built-Ins Test Suite"""

import eep, query, infer, infertest, bi

def test(): 
   testFiles = [
"""{ ?x ?y ?z .
 ?x <http://www.w3.org/2000/10/swap/log#notEqualTo> ?z . } => 
 { ?x <#notEqualTo> ?z . } .
<#p> <#q> <#r> .""", 

"""{ ?x ?y ?z . 
  ?x <http://www.w3.org/2000/10/swap/log#uri> ?p . } => { ?x <#uri> ?p . } .
<#p> <#q> <#r> .
<#x> <#y> <#z> .""", 

"""{ ?x ?y ?z .
 ?x <http://www.w3.org/2000/10/swap/string#notEqualTo> ?z . } => 
 { ?x <#notEqualTo> ?z . } .
"p" <#q> "r" .
<#p> <#q> <#p> .
"p" <#q> "p" .
"x" _:y "z" .""", 

"""{ ?x <#type> <#Target> . 
   ?x <http://example.org/#sha512> ?z . } => 
 { ?x <#sha512> ?z . } .
"blargh" <#type> <#Target> .""", 

# """{ ?x <#type> <#Target> . 
#    ?x <http://www.w3.org/2000/10/swap/log#content> ?z . } => 
#  { ?x <#resolvesTo> ?z . } .
# <http://infomesh.net/2001/10/spew.txt> <#type> <#Target> ."""
]

   for testFile in testFiles: 
      print testFile
      tfp = infer.inferParse(testFile)
      print str(bi.bfilter(tfp[0], tfp[1]))+'\n'

if __name__=="__main__": 
   test()